# SourcePath: keyutils/20170118dev
Summary: Linux Key Management Utilities
Name: sony-target-dev-keyutils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-keyutils
Version: 1.5.9
Release: 14010002
URL: http://people.redhat.com/~dhowells/keyutils/
Source: keyutils-%{version}.tar.bz2
Patch1: keyutils-%{version}-mips-no-version-script.patch
Patch2: keyutils-key_conf.patch
License: GPLv2+ and LGPLv2+
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%define _bindir         %{sony_target_dir}%{sony_target_dev_dir}/bin
%define _sbindir        %{sony_target_dir}%{sony_target_dev_dir}/sbin
%define _etcdir         %{sony_target_dir}%{sony_target_dev_dir}/etc
%define _incdir         %{sony_target_dir}%{sony_target_dev_include_dir}
%define _libdir         %{sony_target_dir}%{sony_target_dev_lib_dir}
%define _mandir         %{sony_target_dir}%{sony_target_dev_man_dir}
%define _docdir         %{sony_target_dir}%{sony_target_dev_doc_dir}
#6x
%define _libtooldir     %{sony_target_dir}%{sony_target_devtool_lib_dir}

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n %{pkgname}
Summary: Linux Key Management Utilities
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%prep
%setup -n keyutils-%{version} -q

%if %{sony_target_cpu} == "mips"
%patch1 -p1
%endif
%patch2 -p1

%build
%sony_target_dev_setup
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_etcdir}
mkdir -p %{buildroot}%{_incdir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_docdir}
#6x
mkdir -p %{buildroot}%{_libtooldir}

install -m 755 libkeyutils.so.1.5 %{buildroot}%{_libdir}
ln -s libkeyutils.so.1.5 %{buildroot}%{_libdir}/libkeyutils.so.1
ln -s libkeyutils.so.1 %{buildroot}%{_libdir}/libkeyutils.so

install -m 644 libkeyutils.a  %{buildroot}%{_libdir}

install -m 644 keyutils.h %{buildroot}%{_incdir}

install -m 755 keyctl %{buildroot}%{_bindir}
install -m 755 request-key %{buildroot}%{_sbindir}
install -m 755 request-key.conf %{buildroot}%{_etcdir}
install -m 755 request-key-debug.sh %{buildroot}%{_bindir}

cp README LICENCE.GPL LICENCE.LGPL %{buildroot}%{_docdir}

# 6.x
    mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
       %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}

    for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`
    do
	if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
	   ln -s ../..%{sony_target_devtool_lib_dir}/$l \
	       %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
	fi
    done

# deleted doc 
rm -rf %{buildroot}%{_docdir}
%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{_bindir}/keyctl
%{_bindir}/request-key-debug.sh
%{_sbindir}/request-key
%{_etcdir}/request-key.conf
%{_libdir}/libkeyutils.so.1.5
%{_libdir}/libkeyutils.a
%{_libtooldir}/libkeyutils.a
%{_libdir}/libkeyutils.so
%{_libdir}/libkeyutils.so.1
%{_incdir}/keyutils.h

%changelog
* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Tue Jan 18 2017 Sony Corporation
- Updated to 1.5.9 version
 
* Thu Jul 09 2009 Sony Corporation
- Added memleak patch
- Added request-key.conf
- Change install location of keyctl and request-key

* Tue Apr 21 2009 Sony Corporation
- Updated to 6.x  

* Fri Jan 30 2009 Sony Corporation
- added no version scripts patch for mips

* Fri Sep 28 2007 Sony Corporation
- add SourcePath and description
- delete man
- change Source License and dir paths

* Tue Sep 21 2007 Sony Corporation
- keyutils-1.2 Initial build
